﻿using System.Collections.Generic;

using Windows.Foundation;

namespace TestProject
{
    /// <summary>
    /// 활동 피드 레이아웃 상태
    /// </summary>
    public class ActivityFeedLayoutState
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 레이아웃 사각형 리스트
        /// </summary>
        private List<Rect> layoutRectList;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Publoc

        #region 첫번째 실현 인덱스 - FirstRealizedIndex

        /// <summary>
        /// 첫번째 실현 인덱스
        /// </summary>
        public int FirstRealizedIndex { get; set; }

        #endregion
        #region 레이아웃 사각형 리스트 - LayoutRectList

        /// <summary>
        /// 레이아웃 사각형 리스트
        /// </summary>
        public List<Rect> LayoutRectList
        {
            get
            {
                if(this.layoutRectList == null)
                {
                    this.layoutRectList = new List<Rect>();
                }

                return this.layoutRectList;
            }
        }

        #endregion
    }
}