using System.Linq;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainWindow()

        /// <summary>
        /// 
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.repeater.ItemsSource = Enumerable.Range(0, 500);

            this.uniformGridRadioButton.Click              += layoutRadioButton_Click;
            this.customVirtualizingLayoutRadioButton.Click += layoutRadioButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region ̾ƿ  ư Ŭ óϱ - layoutRadioButton_Click(sender, e)

        /// <summary>
        /// ̾ƿ  ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void layoutRadioButton_Click(object sender, RoutedEventArgs e)
        {
            string layoutKey = ((FrameworkElement)sender).Tag as string;

            this.repeater.Layout = this.grid.Resources[layoutKey] as VirtualizingLayout;
        }

        #endregion
    }
}